org.apache.commons.ssl

## Class Certificates.CRLHolder

- java.lang.Object
- - org.apache.commons.ssl.Certificates.CRLHolder

Enclosing class:
  Certificates

    private static class Certificates.CRLHolder
    extends java.lang.Object

### Field Summary

Fields
`private long` `creationTime`
`private java.util.Set` `failedTest`
`private java.util.Set` `passedTest`
`private java.io.File` `tempCRLFile`
`private java.lang.String` `urlString`

### Constructor Summary

Constructors
Constructor and Description
`Certificates.CRLHolder(java.lang.String urlString)`

### Method Summary

Methods
`boolean` `checkCRL(java.security.cert.X509Certificate cert)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### urlString

    private final java.lang.String urlString

#### tempCRLFile

    private java.io.File tempCRLFile

#### creationTime

    private long creationTime

#### passedTest

    private java.util.Set passedTest

#### failedTest

    private java.util.Set failedTest

### Constructor Detail

#### Certificates.CRLHolder

    Certificates.CRLHolder(java.lang.String urlString)

### Method Detail

#### checkCRL

    public boolean checkCRL(java.security.cert.X509Certificate cert)
                     throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`